package com.yihu.wlyy.repository.doctor;

import com.yihu.wlyy.entity.doctor.schedule.DoctorFamousConsultTimesRemain;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * Created by JKZL-A on 2016/9/19.
 */
public interface FamousDoctorTimesRemainDao extends PagingAndSortingRepository<DoctorFamousConsultTimesRemain, Long>,
        JpaSpecificationExecutor<DoctorFamousConsultTimesRemain> {

    /**
     * 查询医生剩余咨询次数
     *
     * @param doctor 医生
     * @param consultDate 咨询日期
     * @return
     */
    DoctorFamousConsultTimesRemain findByDoctorAndConsultDate(String doctor,String consultDate);
}
