package com.yihu.figure.dao;

import com.yihu.figure.model.disease.Inspection;
import com.yihu.figure.model.suggest.Suggest;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by chenweida on 2017/3/7.
 */
public interface SuggestDao  extends PagingAndSortingRepository<Suggest, Long>, JpaSpecificationExecutor<Suggest> {
   @Query("from Suggest s where s.keyword like ?1")
    List<Suggest> findByKeyword(String keyword);
}
